Page MenuHomePhabricator

elementary: ensure that the parent model is still alive when resolving future for fileselector.
ClosedPublic

Authored by cedric on Mar 28 2019, 2:15 PM.

Details

Summary

This future where relying on the parent model being alive to work (efl_parent_get). For
that reason we should have been using efl_future_then with the parent Model as a measure
to make sure this is always the case.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Mar 28 2019, 2:15 PM
cedric updated this revision to Diff 21152.Apr 2 2019, 10:06 AM

Rebase.

cedric updated this revision to Diff 21165.Apr 2 2019, 12:33 PM

rebase.

bu5hm4n added inline comments.Apr 17 2019, 12:13 AM
src/lib/elementary/elc_fileselector.c
1607

Mhmm, can the model overlife the fileselector?

cedric added inline comments.Apr 17 2019, 9:51 AM
src/lib/elementary/elc_fileselector.c
1607

Theoretically it could, that is why there is an efl_future_then first on the fileselector, to make sure that we get a cancel on this future if that happen.

bu5hm4n accepted this revision.Apr 17 2019, 11:37 PM

Okay.

This revision is now accepted and ready to land.Apr 17 2019, 11:37 PM
This revision was automatically updated to reflect the committed changes.